Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Apr 2019 18:41:41 +0300

> From: Eric Abrahamsen <[email-masked]>
> Date: Sun, 28 Apr 2019 21:07:23 -0700
> Cc: [email-masked]
> 
> > The goal is to have Gnus default to writing its active files in
> > 'utf-8-emacs, unless the user has specifically requested otherwise.
> > `nnmail-active-file-coding-system' governs the "mail" type servers, and
> > `gnus-agent-file-coding-system' governs the agent. Currently those two
> > options default to 'raw-text, we'd like them to default to 'utf-8-emacs.
> 
> Actually, maybe that's wrong. We don't care how the files are written,
> only that, after parsing, the group names are successfully _decoded_ to
> 'utf-8-emacs. Maybe I'm trying too hard?

When you decode _any_ text by _any_ coding-system, the result is
_always_ utf-8-emacs, because utf-8-emacs is the internal
representation of characters and raw bytes in Emacs buffers and
strings.

We write text out as utf-8-emacs when we don't want to risk the danger
of decoding incorrectly due to local customizations and language
environments.  Text encoded in utf-8-emacs can by definition represent
_any_ character and raw byte that Emacs can read, and the "decoding"
in this case is trivial.

So no, you are not trying too hard, not IMO.